#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x84,0x2D,0x3B,0x87,0xF7,0xC3,0x8C,0x8B,0x38,0x4E,0x81,0x2D,
		0xAA,0xCA,0xBE,0x11,0x74,0xC9,0xCF,0x95,0x94,0x79,0x6A,0x97,
		0x85,0x99,0x73,0xA1,0xF9,0x8D,0xD3,0x1F,0xD8,0xA8,0x64,0x47,
		0x3F,0xA4,0xED,0x93,0x22,0xB8,0xE8,0xE5,0x26,0xDB,0x37,0x6D,
		0x99,0x71,0x48,0x77,0x63,0x08,0xC8,0x17,0xC7,0x61,0xA6,0xB0,
		0x08,0x31,0x70,0x0B,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
